Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.tc
Class TypeSigVec

    java.lang.Object
      javafe.tc.TypeSigVec

public class TypeSigVec
extends java.lang.Object

Field Summary
`private int` | `count`
`private TypeSig[]` | `elements` * Instance fields: * *

Constructor Summary
`private` | `TypeSigVec(int cnt)`
`private` | `TypeSigVec(TypeSig[] els)` * Private constructors: * *

Method Summary
`void` | `addElement(TypeSig x)`
`void` | `append(TypeSigVec vec)`
`boolean` | `contains(TypeSig x)`
`TypeSigVec` | `copy()`
`TypeSig` | `elementAt(int index)` * Other methods: * *
`void` | `insertElementAt(TypeSig obj, int index)`
`static TypeSigVec` | `make()` * Public maker methods: * *
`static TypeSigVec` | `make(int count)`
`static TypeSigVec` | `make(TypeSig[] els)`
`static TypeSigVec` | `make(java.util.Vector vec)`
`TypeSig` | `pop()`
`static TypeSigVec` | `popFromStackVector(StackVector s)`
`void` | `removeAllElements()`
`boolean` | `removeElement(TypeSig x)`
`void` | `removeElementAt(int i)`
`void` | `setElementAt(TypeSig x, int index)`
`int` | `size()`
`TypeSig[]` | `toArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elements

    private TypeSig[] elements

  * Instance fields: * *

### count

    private int count

Constructor Detail

### TypeSigVec

    private TypeSigVec(TypeSig[] els)

  * Private constructors: * *

### TypeSigVec

    private TypeSigVec(int cnt)

Method Detail

### make

    public static TypeSigVec make()

  * Public maker methods: * *

### make

    public static TypeSigVec make(int count)

### make

    public static TypeSigVec make(java.util.Vector vec)

### make

    public static TypeSigVec make(TypeSig[] els)

### popFromStackVector

    public static TypeSigVec popFromStackVector(StackVector s)

### elementAt

    public final TypeSig elementAt(int index)

  * Other methods: * *

### setElementAt

    public final void setElementAt(TypeSig x,
                                   int index)

### size

    public final int size()

### toString

    public final java.lang.String toString()

### toArray

    public final TypeSig[] toArray()

### copy

    public final TypeSigVec copy()

### contains

    public boolean contains(TypeSig x)

### addElement

    public final void addElement(TypeSig x)

### removeElement

    public final boolean removeElement(TypeSig x)

### removeElementAt

    public final void removeElementAt(int i)

### pop

    public final TypeSig pop()

### removeAllElements

    public final void removeAllElements()

### insertElementAt

    public final void insertElementAt(TypeSig obj,
                                      int index)

### append

    public final void append(TypeSigVec vec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage